# Class SwipeBackSupport

java.lang.Object
com.codename1.ui.util.SwipeBackSupport

public class SwipeBackSupport extends Object
Allows binding a swipe listener to the form that enables the user to swipe back to the previous form.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwipeBackSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `bind(Form currentForm, LazyValue<Form> destination)`
  Binds support for swiping to the given forms
  `static void`
  `bindBack(Form currentForm, LazyValue<Form> destination)`
  Binds support for swiping to the given forms
  `static void`
  `bindBack(LazyValue<Form> destination)`
  Binds support for swiping to the current form

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SwipeBackSupport

    public SwipeBackSupport()

- ## Method Details

  - ### bindBack

    public static void bindBack(Form currentForm, LazyValue<Form> destination)

    Binds support for swiping to the given forms

    ###### Parameters

    - `currentForm`: the current form

    - `destination`: the destination form which can be created lazily

  - ### bindBack

    public static void bindBack(LazyValue<Form> destination)

    Binds support for swiping to the current form

    ###### Parameters

    - `destination`: the destination form which can be created lazily

  - ### bind

    protected void bind(Form currentForm, LazyValue<Form> destination)

    Binds support for swiping to the given forms

    ###### Parameters

    - `currentForm`: the current form

    - `destination`: the destination form which can be created lazily